

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>SmartRecruiting_BackEnd.data.manager &mdash; SmartRecruiting back v2 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="../../../_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="../../../" src="../../../_static/documentation_options.js"></script>
        <script type="text/javascript" src="../../../_static/jquery.js"></script>
        <script type="text/javascript" src="../../../_static/underscore.js"></script>
        <script type="text/javascript" src="../../../_static/doctools.js"></script>
        <script type="text/javascript" src="../../../_static/language_data.js"></script>
    
    <script type="text/javascript" src="../../../_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="../../../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../../../_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="../../../genindex.html" />
    <link rel="search" title="Search" href="../../../search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="../../../index.html" class="icon icon-home"> SmartRecruiting back
          

          
          </a>

          
            
            
              <div class="version">
                v2
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../../install.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../contributing.html">Contributing</a></li>
<li class="toctree-l1"><a class="reference internal" href="../../../documentation.html">Backend documentation</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../../index.html">SmartRecruiting back</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../../../index.html">Docs</a> &raquo;</li>
        
          <li><a href="../../index.html">Module code</a> &raquo;</li>
        
      <li>SmartRecruiting_BackEnd.data.manager</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <h1>Source code for SmartRecruiting_BackEnd.data.manager</h1><div class="highlight"><pre>
<span></span><span class="c1"># encoding: utf-8</span>
<span class="c1"># -*- coding: utf-8 -*-</span>
<span class="sd">&quot;&quot;&quot;</span>
<span class="sd">Manager to interact with the database</span>

<span class="sd">Created on Sun Feb 26 16:23:02 2017</span>
<span class="sd">@author: Julian</span>
<span class="sd">&quot;&quot;&quot;</span>
<span class="kn">from</span> <span class="nn">SmartRecruiting_BackEnd.data.user_manager</span> <span class="k">import</span> <span class="n">UserManager</span>
<span class="kn">from</span> <span class="nn">SmartRecruiting_BackEnd.data.offer_manager</span> <span class="k">import</span> <span class="n">OfferManager</span>
<span class="kn">from</span> <span class="nn">SmartRecruiting_BackEnd.data.field_manager</span> <span class="k">import</span> <span class="n">FieldManager</span>
<span class="kn">from</span> <span class="nn">SmartRecruiting_BackEnd.data.contact_manager</span> <span class="k">import</span> <span class="n">ContactManager</span>
<span class="kn">from</span> <span class="nn">SmartRecruiting_BackEnd.data.prediction_manager</span> <span class="k">import</span> <span class="n">PredictionManager</span>
<span class="kn">from</span> <span class="nn">SmartRecruiting_BackEnd.data.database</span> <span class="k">import</span> <span class="n">init_db</span>
<span class="kn">from</span> <span class="nn">SmartRecruiting_BackEnd</span> <span class="k">import</span> <span class="n">app</span>
<span class="kn">from</span> <span class="nn">SmartRecruiting_BackEnd.deeplearning.cnn.train</span> <span class="k">import</span> <span class="n">train</span>
<span class="kn">from</span> <span class="nn">SmartRecruiting_BackEnd.deeplearning.preprocess.preprocess</span> <span class="k">import</span> <span class="n">init</span>


<div class="viewcode-block" id="DatabaseManager"><a class="viewcode-back" href="../../../backend_doc/managers.html#SmartRecruiting_BackEnd.data.manager.DatabaseManager">[docs]</a><span class="k">class</span> <span class="nc">DatabaseManager</span><span class="p">:</span>

    <span class="k">def</span> <span class="nf">__init__</span><span class="p">(</span><span class="bp">self</span><span class="p">):</span>
        <span class="sd">&quot;&quot;&quot;</span>
<span class="sd">            initialize the database, creates tables if not exists</span>
<span class="sd">        &quot;&quot;&quot;</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">user_manager</span> <span class="o">=</span> <span class="n">UserManager</span><span class="p">()</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">offer_manager</span> <span class="o">=</span> <span class="n">OfferManager</span><span class="p">()</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">field_manager</span> <span class="o">=</span> <span class="n">FieldManager</span><span class="p">()</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">contact_manager</span> <span class="o">=</span> <span class="n">ContactManager</span><span class="p">()</span>
        <span class="bp">self</span><span class="o">.</span><span class="n">prediction_manager</span> <span class="o">=</span> <span class="n">PredictionManager</span><span class="p">()</span>

        <span class="n">build_word2vec</span> <span class="o">=</span> <span class="n">app</span><span class="o">.</span><span class="n">config</span><span class="p">[</span><span class="s1">&#39;WORD2VEC&#39;</span><span class="p">]</span>
        <span class="k">if</span> <span class="n">app</span><span class="o">.</span><span class="n">config</span><span class="p">[</span><span class="s1">&#39;INIT&#39;</span><span class="p">]:</span>
            <span class="n">init_db</span><span class="p">()</span>
            <span class="k">if</span> <span class="bp">self</span><span class="o">.</span><span class="n">user_manager</span><span class="o">.</span><span class="n">get_one_admin</span><span class="p">()</span> <span class="ow">is</span> <span class="kc">None</span><span class="p">:</span>
                <span class="bp">self</span><span class="o">.</span><span class="n">user_manager</span><span class="o">.</span><span class="n">add_user</span><span class="p">(</span><span class="s2">&quot;monsieur&quot;</span><span class="p">,</span> <span class="s2">&quot;administrateur&quot;</span><span class="p">,</span> <span class="s2">&quot;admin&quot;</span><span class="p">,</span> <span class="s2">&quot;admin@&quot;</span><span class="p">,</span> <span class="s2">&quot;root&quot;</span><span class="p">,</span> <span class="mi">1</span><span class="p">)</span>

            <span class="n">init</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">generate_w2c</span><span class="o">=</span><span class="n">build_word2vec</span><span class="p">)</span>
            <span class="n">train</span><span class="p">(</span><span class="bp">self</span><span class="p">)</span></div>
</pre></div>

           </div>
           
          </div>
          <footer>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, Projet 21

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>